<?php

/**
 * Plugin Manager
 *
 *
 * Created: 2007-02-12
 * Last update: 2007-02-13
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

if ( !ereg( 'plugins_page.php', $_SERVER['REQUEST_URI'] ) ) {
    header( 'Location: ../../plugins_page.php' );
    exit();
}

require_once( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'core' . DIRECTORY_SEPARATOR . 'plugin_api.php' );

$t_action = gpc_get_string( 'action', 'none' );
if ( $t_action == 'update' ) {
    $t_project_id = gpc_get_int( 'project_id' );
    $t_check_version = gpc_get_bool( 'check_version' );
    config_set( 'plugins_pluginmanager_check_version', $t_check_version, NO_USER, $t_project_id );
    $t_plugin_list = pluginmanager_get_plugin_list( false );
    foreach( $t_plugin_list as $t_plugin ) {
        $t_threshold = gpc_get_int( $t_plugin['id'] . '_configure_threshold', PLUGINS_PLUGINMANAGER_CONFIGURE_THRESHOLD_DEFAULT );
        config_set( 'plugins_pluginmanager_' . $t_plugin['id'] . '_threshold', $t_threshold, NO_USER, $t_project_id );
    }   
    header( 'Location: plugins_page.php?plugin=pluginmanager' );
    exit();
}

$t_project_id = helper_get_current_project();

html_page_top1( lang_get( 'plugins_pluginmanager_page_title' ) );
html_page_top2();

echo "\n\n";
echo "<br />\n<div align=\"center\">\n";
echo '  ' . str_replace( '%%project%%', '<b>' . project_get_name( helper_get_current_project() ) . '</b>', lang_get( 'plugins_pluginmanager_configuration_for_project' ) ) . "\n";

?>
  <br /><br />
  <form name="plugins_pluginmanager" method="post" action="plugins_page.php">
    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="project_id" value="<?php echo $t_project_id ?>" />
    <input type="hidden" name="plugin" value="pluginmanager" />
    <table class="width75" cellspacing="1">

      <!-- Check Version -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_pluginmanager_check_version' ) ?>
        </td>
        <td width="70%">
          <input tabindex="1" type="checkbox" name="check_version"<?php check_checked( config_get( 'plugins_pluginmanager_check_version', PLUGINS_PLUGINMANAGER_CHECK_VERSION_DEFAULT ), ON ) ?> />
        </td>
      </tr>

      <!-- spacer -->
      <tr>
        <td class="spacer" colspan="2">&nbsp;</td>
      </tr>

<?php

$t_plugin_list = pluginmanager_get_plugin_list( false );
foreach( $t_plugin_list as $t_plugin ) {
?>
      <!-- <?php echo $t_plugin['name'] ?> Plugin -->
      <tr <?php echo helper_alternate_class() ?>>
        <td class="category" width="30%">
          <span class="required">*</span><?php echo lang_get( 'plugins_pluginmanager_configure_threshold' ) . ' (' . $t_plugin['name'] . ')' ?>
        </td>
        <td width="70%">
          <select name="<?php echo $t_plugin['id'] ?>_configure_threshold">
            <?php
              $t_access_levels_enum_string = config_get( 'access_levels_enum_string' );
              $t_arr = explode_enum_string( $t_access_levels_enum_string );
              $t_val = config_get( 'plugins_pluginmanager_' . $t_plugin['id'] . '_threshold', PLUGINS_PLUGINMANAGER_CONFIGURE_THRESHOLD_DEFAULT );
              $enum_count = count( $t_arr );
              for( $i=0; $i<$enum_count; $i++ ) {
                  $t_elem = explode_enum_arr( $t_arr[$i] );
                  $t_access_level = get_enum_element( 'access_levels', $t_elem[0] );
                  PRINT "<option value=\"$t_elem[0]\"";
                  check_selected( $t_val, $t_elem[0] );
                  PRINT ">$t_access_level</option>";
              }
            ?>
          </select>
        </td>
      </tr>
        
<?php

}

?>

      <!-- spacer -->
      <tr>
        <td class="spacer" colspan="2">&nbsp;</td>
      </tr>

      <!-- Submit Button -->
      <tr>
        <td class="left">
          <span class="required"> * <?php echo lang_get( 'required' ) ?></span>
        </td>
        <td class="center">
          <input type="submit" class="button" value="<?php echo lang_get( 'submit_button' ) ?>" />
        </td>
      </tr>
    </table>
  </form>

<?php

echo "</div>\n";

html_page_bottom1( __FILE__ );

?>
