<?php

/**
 * Plugin manager
 *
 *
 * Created: 2007-02-04
 * Last update: 2007-02-13
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 * @version 0.0.2
 */

require_once( 'core.php' );

$t_plugin = gpc_get_string( 'plugin', 'none' );

require_once( 'plugins' . DIRECTORY_SEPARATOR . 'pluginmanager' . DIRECTORY_SEPARATOR . 'core' . DIRECTORY_SEPARATOR . 'plugin_api.php' );

if ( $t_plugin != 'none' ) {
    $t_index = 'plugins' . DIRECTORY_SEPARATOR . $t_plugin . DIRECTORY_SEPARATOR . 'index.php';
    if ( file_exists( $t_index ) ) {
        $t_access_level = user_get_access_level( auth_get_current_user_id(), helper_get_current_project() );
        $t_info = pluginmanager_get_plugin_info( $t_plugin );
        if ( isset( $t_info['bypass'] ) && $t_access_level >= $t_info['bypass'] ) {
            include( $t_index );
            exit();
        }
        if ( $t_access_level >= config_get( 'plugins_pluginmanager_' . $t_plugin . '_threshold', PLUGINS_PLUGINMANAGER_CONFIGURE_THRESHOLD_DEFAULT ) ) {
            include( $t_index );
            exit();
        }
    }   
}

$t_current_user_id = auth_get_current_user_id();

$t_main_menu = config_get( 'main_menu_custom_options' );
$t_access_level = ADMINISTRATOR;
foreach( $t_main_menu as $t_menu ) {
    if ( ereg( 'plugins_page.php$', $t_menu[2] ) ) {
        $t_access_level = $t_menu[1];
    }
}

if ( user_get_access_level( $t_current_user_id ) < $t_access_level ) {
    header( 'Location: index.php' );
    exit();
}

html_page_top1( lang_get( 'plugins_pluginmanager_title' ) );
html_page_top2();

?>

<br />
<div align="center">

<table class="width75" cellspacing="1">

<!-- Title -->
<tr>
<td class="center"><?php echo lang_get( 'plugins_pluginmanager_plugin' ) ?></td>
<td class="center"><?php echo lang_get( 'plugins_pluginmanager_website' ) ?></td>
<td class="center"><?php echo lang_get( 'plugins_pluginmanager_installed_version' ) ?></td>
<td class="center"><?php echo lang_get( 'plugins_pluginmanager_current_version' ) ?></td>
</tr>

<?php

$t_plugin_list = pluginmanager_get_plugin_list();

foreach( $t_plugin_list as $t_plugin ) {
    echo '<tr ' . helper_alternate_class() . ">\n";
    echo '<td class="center"><b>';
    if ( $t_plugin['has_access_level'] ) {
        echo '<a href="plugins_page.php?plugin=' . $t_plugin['id'] . '">' . $t_plugin['name'] . '</a>';
    } else {
        echo $t_plugin['name'];
    }
    echo '</b></td>' . "\n";
    echo '<td class="center">';
    if ( isset( $t_plugin['url'] ) ) {
        echo '<a href="' . $t_plugin['url'] . '">www</a> [<a href="' . $t_plugin['url'] . '" target="_blank">^</a>]';
    } else {
        echo '--';
    }
    echo "</td>\n";
    echo '<td class="center">' . $t_plugin['version'] . "</td>\n";
    echo '<td class="center">' . $t_plugin['check'];
    echo "</td>\n";
    echo "</tr>\n";
}

?>

</table>

</div>

<?php

html_page_bottom1( __FILE__ );

?>
